unit color_code;
interface
uses windows,mmsystem;
  const
    clBlack  = $000000;
    clMaroon = $000080;
    clGreen =  $008000;
    clOlive =  $008080;
    clNavy =   $800000;
    clPurple = $800080;
    clTeal =   $808000;
    clGray =   $808080;
    clSilver = $C0C0C0;
    clRed =    $0000FF;
    clLime =   $00AA00;
    clYellow = $00FFFF;
    clBlue =   $FF0000;
    clFuchsia =$FF00FF;
    clAqua =   $FFFF00;
    clLtGray = $C0C0C0;
    clDkGray = $808080;
    clWhite =  $FFFFFF;

    BrickCount = 10;
Type
  BrickArrayType = array [1..4,1..4] of integer;

var
  BrickArray: array [1..BrickCount] of BrickArrayType =
  (
   ((0,0,0,0),
    (0,0,1,0),
    (0,1,1,0),
    (0,1,0,0)),

   ((0,0,0,0),
    (0,2,2,0),
    (0,2,2,0),
    (0,0,0,0)),

   ((0,0,3,0),
    (0,0,3,0),
    (0,0,3,0),
    (0,0,3,0)),

   ((0,0,0,0),
    (0,4,0,0),
    (0,4,4,0),
    (0,0,4,0)),

   ((0,0,0,0),
    (0,5,5,0),
    (0,5,0,0),
    (0,5,0,0)),

   ((0,0,0,0),
    (0,5,5,0),
    (0,0,5,0),
    (0,0,5,0)),

   ((0,0,0,0),
    (0,6,0,0),
    (0,6,6,0),
    (0,6,0,0)),

   ((0,0,0,0),
    (0,1,1,1),
    (1,1,1,0),
    (0,0,0,0)),

   ((0,0,0,0),
    (0,0,0,0),
    (0,0,1,0),
    (0,0,1,0)),

   ((0,0,0,0),
    (1,1,1,0),
    (0,1,1,1),
    (0,0,0,0))
  );

function smIntToStr(x:integer):string;
function PlayWaveFromResource(p_hInstance : LongWord; p_sResourceName : String) : Boolean;

implementation

//==============================================================================
function smIntToStr(x:integer):string;
var
  s:string;
begin
  system.Str(x,s);
  smIntToStr:=s;
end;
//==============================================================================
function PlayWaveFromResource(p_hInstance : LongWord; p_sResourceName : String) : Boolean;
var l_hResource : THandle;
    l_pData     : Pointer;
begin
  {---<     >---}
  l_hResource:=LoadResource(p_hInstance, FindResource(p_hInstance,PChar( p_sResourceName), RT_RCDATA));
  try
    l_pData := LockResource(l_hResource);
    Result:=l_pData <> nil;
    {---<   >---}
    if Result then
      PlaySound(l_pData, 0, SND_MEMORY);
  finally
    FreeResource(l_hResource);
  end; {- try -}
end; {- procedure TfMain.Play; -}
//==============================================================================
end.
